CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

AutoCAD 2024 开发者帮助

AddPoint 方法 (ActiveX)

2024-5-18 19:07| 发布者: admin| 查看: 123| 评论: 0|原作者: admin|来自: AutoCAD

AddPoint 方法 (ActiveX)

在给定位置创建 Point 对象。

支持的平台:仅限 Windows

签名

VBA:

RetVal = object.AddPoint(Point)
对象

类型:模型空间纸空间

此方法应用到的对象。

访问:仅输入

类型:变体(双打的三元素阵列)

要创建的点的坐标。

返回值 (RetVal)

类型:

新创建的对象。Point

言论

没有其他评论。

例子

VBA:

Sub Example_AddPoint()
    ' This example creates a point in model space.
    Dim pointObj As AcadPoint
    Dim location(0 To 2) As Double
    
    ' Define the location of the point
    location(0) = 5#: location(1) = 5#: location(2) = 0#
    
    ' Create the point
    Set pointObj = ThisDrawing.ModelSpace.AddPoint(location)
    ZoomAll
    
End Sub

可视化 LISP:

(vl-load-com)
(defun c:Example_AddPoint()
    ;; This example creates a point in model space.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
  
    ;; Define the location of the point
    (setq location (vlax-3d-point 5 5 0))
    
    ;; Create the point
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq pointObj (vla-AddPoint modelSpace location))
    (vla-ZoomAll acadObj)
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1   苏公网安备32011402011833)

GMT+8, 2025-1-19 06:48

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部